# p.g.t.TMBStyle : class documentation

Part of planes.gui.tmb View In Hierarchy

    This class encapsulates the top, mid and bottom images to be used as widget background.

    Attributes:

    LMRStyle.top_img
        A Pygame Surface, holding the top edge of the background image.

    LMRStyle.mid_img
        A Pygame Surface, holding the middle part of the background image.
        A widget might repeat this image to fit the desired width.

    LMRStyle.bottom_img
        A Pygame Surface, holding the bottom edge of the background image.

Method | __init__ | `Initialise. top_img, mid_img and bottom_img are the respective image file names.`

def __init__(self, top_img, mid_img, bottom_img):

    Initialise.
    top_img, mid_img and bottom_img are the respective image file names.